/*
 * BombHandler.cpp
 *
 *  Created on: Jan 5, 2014
 *      Author: brian
 */

#include "BombHandler.h"
#include "Game.h"

BombHandler* BombHandler::s_pInstance = new BombHandler();

BombHandler::BombHandler() {

}


void BombHandler::addBomb(Bomb* &aBomb ) {
	aBomb->setFall(1);
	m_bombs.push_back(aBomb);
}

void BombHandler::updateBombs()
{
    for (std::vector<Bomb*>::iterator p_it = m_bombs.begin(); p_it != m_bombs.end();)
    {

        if((*p_it)->getPosition().getX() < 0 || (*p_it)->getPosition().getX() > TheGame::Instance()->getGameWidth()
           || (*p_it)->getPosition().getY() < 0 || (*p_it)->getPosition().getY() > TheGame::Instance()->getGameHeight() )
        {
            delete * p_it;
            p_it = m_bombs.erase(p_it);
        }
        else {

            (*p_it)->update();
            ++p_it;
        }

    }
}



void BombHandler::drawBombs(SDL_Renderer* pRenderer) {
    for (int p = 0; p < m_bombs.size(); p++)
    {
        m_bombs[p]->draw(pRenderer);
    }
}
